
Foreman - Bug #9559

Something went wrong when I save my new deployment in staypuft

02/26/2015 04:47 AM - Diego  Michelotto

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I successfully installed staypuft with foreman-installer-staypuft [foreman: 1.8.0-develop, staypuft: 0.5.19].

When I save the configuration of  an deployment, or if I want to see the configuration of an deployment, I obtain this error:

NoMethodError

undefined method `trunc' for #<#<Class:0x0000000b272490>:0x0000000a416720>

app/controllers/concerns/application_shared.rb:13:in `set_timezone'

app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

History

#1 - 02/26/2015 07:44 AM - Marek Hulán

- Status changed from New to Rejected

AFAIK staypuft can't work with Foreman 1.8. Please open an issue on staypuft issue tracker, see readme on staypuft project page 

https://github.com/theforeman/staypuft#contributing

I asked staypuft devs to change readme so it does not point to Foreman nightly as it's not true anymore. I'm closing this issue as it is unrelated to

Foreman.

#2 - 03/02/2015 10:37 AM - Dominic Cleal

- translation missing: en.field_release deleted (28)
